1. Bid
Solido APIs
  • Plus1 API
    • Auth
      • Create JWT token.
    • Bid
      • Update existing bid.
        PUT
      • Get Bid by id.
        GET
      • Search for bids.
        GET
      • Reject a bid.
        PUT
      • Request a bid.
        POST
      • Accept a bid.
        PUT
    • Prescreen
      • Prescreen loan applications in Sweden and Norway.
    • Schemas
      • Microsoft.AspNetCore.Mvc.ProblemDetails
      • Nstart.Broker.Application.Resources.BidCriteriaAndBidResource
      • Nstart.Broker.Application.Resources.JwtTokenResource
      • Nstart.Broker.Application.Resources.SearchBidCriteriaResource
      • Nstart.Web.Extensions.Exceptions.CustomApiError
      • WebApi.Controllers.CreateBid.BidCreatedModel
      • WebApi.Controllers.CreateBid.BidModel
      • WebApi.Controllers.Prescreen.PrescreenModel
      • WebApi.Controllers.Prescreen.PrescreenResultModel
      • WebApi.Controllers.SearchBid.SearchBidCriteriaModel
      • WebApi.Controllers.UpdateBid.UpdateBidModel
      • WebApi.Models.ApplicantModel
  • Plus1 Bid Webhook
    • Receive Plus1 bid status update
      POST
    • Schemas
      • Plus1BidStatusWebhook
      • Plus1BidStatusCommon
      • Plus1SentBidStatus
      • Plus1DeclinedBidStatus
      • Plus1WithdrawnBidStatus
      • Plus1ExpiredBidStatus
      • Plus1DisbursedBidStatus
      • Plus1RejectedBidStatus
  1. Bid

Get Bid by id.

Staging Env
Staging Env
GET
/v{version}/bid/{id}

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Path Params

Header Params

Responses

🟢200
application/json
Success
Body

🟠400
🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v/bid/' \
--header 'Authorization: <api-key>'
Response Response Example
200 - Example 1
{
    "address": "string",
    "bidConditionalOffer": "string",
    "bidConditionalOfferReason": "string",
    "bidCriteriaId": "d289d03a-141a-43ee-8a2f-ffa18d0f88d6",
    "bidEffectiveInterestRate": 0,
    "bidId": "b72d2023-eab2-41a0-9a7d-bf38f68b1cfe",
    "bidInterestRate": 0,
    "bidMaxApprovedAmount": 0,
    "bidMonthlyCost": 0,
    "bidPdGroup": "string",
    "bidPdScore": 0,
    "bidRepaymentTime": 0,
    "bidStartupFee": 0,
    "bidStatementFee": 0,
    "bidTotalCost": 0,
    "bidTotalLoanAmount": 0,
    "bidTotalRefinanceAmount": 0,
    "broker": "string",
    "brokerId": "4e6b4748-ea2b-4825-9e7d-1823e63eb2d1",
    "brokerReferenceId": "string",
    "careOf": "string",
    "city": "string",
    "clientIpAddress": "string",
    "coAppAddress": "string",
    "coAppCareOf": "string",
    "coAppCity": "string",
    "coAppEmail": "string",
    "coAppEmployedFrom": "2019-08-24T14:15:22.123Z",
    "coAppEmployedTo": "2019-08-24T14:15:22.123Z",
    "coAppEmployerName": "string",
    "coAppFirstName": "string",
    "coAppHousingType": "string",
    "coAppLastName": "string",
    "coAppLivingCost": 0,
    "coAppMaritalStatus": "string",
    "coAppMobilePhone": "string",
    "coAppMonthlyIncomeBeforeTax": 0,
    "coAppNbrOfChildren": 0,
    "coAppOccupation": "string",
    "coAppSsn": "string",
    "coAppZip": "string",
    "countryCode": "string",
    "declineReason": "string",
    "email": "string",
    "employedFrom": "2019-08-24T14:15:22.123Z",
    "employedTo": "2019-08-24T14:15:22.123Z",
    "employerName": "string",
    "firstName": "string",
    "housingType": "string",
    "lastName": "string",
    "livingCost": 0,
    "maritalStatus": "string",
    "mobilePhone": "string",
    "monthlyIncomeBeforeTax": 0,
    "nbrOfChildren": 0,
    "occupation": "string",
    "productId": "string",
    "productType": "string",
    "purpose": "string",
    "repaymentTime": 0,
    "secciUrl": "string",
    "ssn": "string",
    "status": "string",
    "statusLastUpdate": "2019-08-24T14:15:22.123Z",
    "totalLoanAmount": 0,
    "totalRefinanceAmount": 0,
    "zip": "string"
}
Modified at 2026-08-27 14:26:45
Previous
Update existing bid.
Next
Search for bids.
Built with